## org.eclipse.ocl.helper
Interface Choice

    public interface Choice

Description of a syntax completion choice. A choice is characterized by a kind (indicating the type of model construct that it represents), a name, and a description (which is useful for constructing text for a content-assist window). The choice also can provide the actual model element that it represents, in case the client knows how to interpret it.

Note that this interface is not intended to be implemented by clients.

Method Summary
`String` `getDescription()` Obtains my description, suitable for display in a UI tool tip or pop-up help window.
`Object` `getElement()` Obtains the model element (property, operation, type, etc.) that is the choice in question.
`ChoiceKind` `getKind()` Queries the kind of syntax completion suggestion that I am.
`String` `getName()` Obtains my name, suitable for display in a UI list.

Method Detail

### getKind

    ChoiceKind getKind()

  Queries the kind of syntax completion suggestion that I am.

  Returns:
    my type

### getName

    String getName()

  Obtains my name, suitable for display in a UI list.

  Returns:
    my name

### getDescription

    String getDescription()

  Obtains my description, suitable for display in a UI tool tip or pop-up help window.

  Returns:
    my description

### getElement

    Object getElement()

  Obtains the model element (property, operation, type, etc.) that is the choice in question.

  Returns:
    the element that I represent

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.